<template lang="pug">
div
  h2.text-2xl.mb-4.text-center Health Record
  //- a.uppercase.bg-indigo-700.text-white.py-2.px-4.rounded(href="/health-record/add-record") add record
  div.mt-10(v-for="(value, name, index) in healthRecord")
    div.mb-8
      div.uppercase.font-semibold
        span {{name}}
      ElementDataTable(:columns="getColumns(value)" :dataset="value")
</template>
<script>
export default {
  layout: 'caregiver',
  data: () => ({
    healthRecord: {},
  }),
  async created() {
    const userId = this.$route.params.id
    console.log(userId)
    this.healthRecord = await this.$api.get(`/health-record/${userId}`)
  },
  methods: {
    getColumns(tableData) {
      const columns = []
      if (tableData.length > 0) {
        Object.keys(tableData[0]).forEach((item) => {
          if (item !== 'id')
            columns.push({
              title: item.replace('_', ' ').toUpperCase(),
              key: item,
            })
        })
      }
      return columns
    },
  },
}
</script>
